<?
if (isset($ID) && $level > 1) {
  $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($ank['id']) || (isset($ank['id']) && $level <= $ank['level'])) {
  $ank = $user;
}

if ($level == 0 || !isset($ank['id'])){
  header('Location: /index.php');
  exit;
}

if (isset($_POST['msg'])) {
  if (strlen2($_POST['msg']) > 300) {
  	$err[] = 'Статус слишком длинный';
  } elseif (strlen2($_POST['msg']) < 5) {
  	$err[] = 'Статус слишком короткий';
  } 
  
  if (!isset($err)) {
    
    if ($ank['id'] != $user['id']) {
      journal($ank['id'], 'other', ($level < 3 ? 'Модератор' : 'Администратор') . " [b]$user[login] [/b], изменил ваш [b]Личный статус[/b]\r [green]$ank[status] [/green] на [blue]" . $sql->esc($_POST['msg']) . " [/blue]");
      admin_log($user['id'], 'Пользователи|Личные статусы', "Изменил [b]Личный статус[/b] -> [green]$ank[status] [/green] на [blue]" . $sql->esc($_POST['msg']) . "[/blue] у пользователя [url=?func=user.profile&id=" . $ank['id'] . "]" . login($ank['id'], 0) . "[/url]");
    }
    
    $ank['status'] = $sql->esc($_POST['msg']);
    $sql -> update("UPDATE `users` SET `status` = '$ank[status]' WHERE `id` = '$ank[id]' LIMIT 1");
    $messages[] = 'Статус успешно изменен';
  } else {
    $err[] = 'Ошибка при изменении статуса';
  }
}


$system['title'] = 'Личный статус ' . ($ank['id'] != $user['id'] ? login($ank['id'], 0) : '');
require SYS . 'header.php';
?>

<div class="nav2">
<form class="form-horizontal" action="?func=<?= $func?>&amp;id=<?= $ank['id']?>" method="POST" style="margin: 2px;">
  
  <div class="control-group">
    <label class="control-label" for="msg">Статус (5-300 символов)</label>
    <div class="controls">
      <? $insert = text($ank['status']);?>
      
      <? if (is_file(THEME . 'php/form.textarea.php')) {
        require THEME . 'php/form.textarea.php';
      } else {
        ?><textarea style="width: 75%;" name="msg" id="msg" placeholder="Сообщение..."><?= $insert?></textarea><br /><?
      }
      ?>
    </div>
  </div>
  
  <div class="control-group">
    <div class="controls">
      <button type="submit" class="btn">Сохранить</button>
    </div>
  </div>
</form>
</div>

<div class="foot">
&laquo; <a href="?func=user.profiledata">Профилирующие данные</a>
</div>